using System;
using Microsoft.Win32;


namespace BF2AutoLoader {
    public class bf2alpwd {
        static void Main(string[] args) {
            Console.WriteLine("\n"                          +
                "BF2AutoLoader password decoder 0.1\n"      +
                "by Luigi Auriemma\n"                       +
                "e-mail: aluigi@autistici.org\n"            +
                "web:    http://aluigi.altervista.org\n"    +
                "\n");

            Console.WriteLine(                              +
                "Usage: bf2alpwd [encrypted_password]\n"    +
                "\n"                                        +
                "if no password is specified this tool reads that stored in the registry\n");

            string key = "'($yLz!&Ph1|Z)<Bf2@uT0l0@deR>'";

            if(args.Length == 0) {
            	RegistryKey rk = Registry.CurrentUser.OpenSubKey(@"Software\BF2AutoLoader");
            	if(rk != null) {
                    Console.WriteLine("  Username:   " +
                        rk.GetValue("username").ToString());
                    Console.WriteLine("  Password:   " +
                        CCrypter.Decrypt(rk.GetValue("password").ToString(), key));
                    Console.WriteLine("  URL:        " +
                        rk.GetValue("serverURL").ToString());
                } else {
                    Console.WriteLine("\nError: registry key Software\\BF2AutoLoader not found");
                }
                Console.WriteLine("\n   press RETURN to exit");
                Console.ReadLine();
            } else {
                Console.WriteLine("  Password:   " +
                    CCrypter.Decrypt(args[0], key));
            }
        }
    }
}

